DRM_ATOMIC_HELPER_CR(9)

NAME
drm_atomic_helper_crtc_duplicate_state - default state duplicate hook

SYNOPSIS

struct drm_crtc_state * drm_atomic_helper_crtc_duplicate_state(struct drm_crtc * crtc);

ARGUMENTS

crtc
    drm CRTC

DESCRIPTION

Default CRTC state duplicate hook for drivers which don't have their own subclassed CRTC state structure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT